/***************************************************************************
                          kalbumitem.cpp  -  description
                             -------------------
    begin                : Wed Jan 23 2002
    copyright            : (C) 2002 by Graham Morrison
    email                : kalbum@paldandy.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qstring.h>
#include <qmultilineedit.h>
#include <qmessagebox.h>
#include <qtextedit.h>
#include <kiconloader.h>
#include <klocale.h>
#include <qtoolbutton.h>
#include <kimageeffect.h>

#include "kalbumview.h"
#include "kalbumitem.h"

#define MAXLEN 250

KalbumItem::KalbumItem(QWidget *parent, const char *name, bool modal, WFlags f) :
  KalbumItemDlg ( parent, name, modal, f){

//    popToolView = new KPopupMenu();
//    popToolView->insertItem(SmallIconSet("rotate_cw"),i18n("90 Degrees Clockwise"),this,SLOT(slotNext()), 1, 1);
//    popToolView->insertItem(SmallIconSet("rotate_ccw"),i18n("90 Degrees Counter Clockwise"),this,SLOT(slotPrev()), 2, 2);

//    ToolButton3->setPopupDelay(0);
//    ToolButton3->setPopup(popToolView);

}


KalbumItem::~KalbumItem(){

}


void KalbumItem::slotNextProp(){

	KalbumView *theView=(KalbumView *) parentWidget();

	theView->nextProp(this);	

}

void KalbumItem::slotPrevProp(){

	KalbumView *theView=(KalbumView *) parentWidget();

	theView->prevProp(this);	

}

void KalbumItem::slotTextChanged()
{

  int length;
  QString text;

  length = EditComment->length();

  if (length > MAXLEN){
      EditComment->moveCursor( QTextEdit::MoveBackward,false);
      EditComment->del();

  }

}

void KalbumItem::slotRotate()
{

	KalbumView *theView=(KalbumView *) parentWidget();

	theView->rotateImage(this);
 

}

